<script setup>
import { parseISO } from "date-fns";

const props = defineProps(["article"]);

const formatDate = (dateStr) => {
  const date = parseISO(dateStr);
  return date.toDateString();
};
</script>

<template>
  <div class="flex flex-row items-center py-8">
    <div class="basis-1/4">{{ formatDate(article.attributes.createdAt) }}</div>

    <div class="basis-3/4">
      <h2 class="font-semibold text-2xl">{{ article.attributes.name }}</h2>
      <div class="flex flex-row gap-4 pb-4">
        <span v-for="tag in article.attributes.blog_tags.data" :key="tag.id">
          {{ tag.attributes.name }}
        </span>
      </div>
      <div>{{ article.attributes.preview_text }}</div>
    </div>
  </div>
</template>